*{
    box-sizing:border-box;

    --neon-blue:#2323FF;
    --neon-blue-glow:rgba(35,35,255,.95);
    --neon-blue-outer:rgba(35,35,255,.45);

    --neon-red:#ff1e1e;
    --neon-red-glow:rgba(255,30,30,.85);
}

body {
  margin: 0;
  height: 100vh;
  background: radial-gradient(circle at bottom, #0b1a2a, #020409 70%);
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Orbitron", system-ui, sans-serif;
  overflow: hidden;

  opacity: 1;
  transition: opacity 0.6s ease;
}
body.fade-out {
  opacity: 0;
  filter: blur(5px) brightness(2);
}
.main{
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
}

.numpad{
  display:grid;
  color: var(--neon-blue);
  -webkit-text-stroke-color: rgba(245, 245, 245, 0.688);
  grid-template-columns: repeat(3, 2fr);
  align-items: center;
  justify-items: center;
  grid-gap: 15px;
}
.key{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  
  width: 75px;
  height: 45px;
  border: 1px solid var(--neon-blue-outer);
  border-radius: 10px;
  padding: 25px;

  box-shadow: 0 0 10px var(--neon-blue-glow);
  animation: cyberFlicker 2.5s infinite;
}
.key:hover{
  cursor: pointer;
  border: 2px solid rgba(0,120,255,0.6);
}
.key:active{
  background-color: rgba(255, 255, 255, 0.099);
}
#email, .clue{
  color: azure;
  text-align: center;
  font-size: 13px;
}
.clue{
  color: var(--neon-red);
  text-align: center;
  font-size: 13px;

  animation: blink 2s infinite alternate;
}
.code{
    width:100%;
    height:100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 25px;
}
.display, input{
  background-color: transparent;
  color:var(--neon-blue);
  border-color: var(--neon-blue);
  width: 100%;
  padding: 5px;
  border-radius: 10px;
  box-shadow: 0 0 10px var(--neon-blue-glow);
  text-align: center;

  animation: cyberFlicker 2.5s infinite;
}
.display {
  height: 40px;
  margin: 10px 0;
  font-size: 20px;
  text-align: center;
  line-height: 40px;
  letter-spacing: 2px;
}
input{
  outline: none;
}

input::placeholder {
  color:var(--neon-blue);
}
input:focus::placeholder {
  color: transparent;
}
#sendBtn{
  color: #fff;
  width: 100px;
  height: 40px;
  padding: 10px 25px;
  font-family: 'Lato', sans-serif;
  font-weight: 500;
  background: transparent;
  transition: all 0.3s ease;
  position: relative;
  display: inline-block; 

  font-size: 15px;
  border: 1px solid ;
  color: var(--neon-red);
  box-shadow: 0 0 5px var(--neon-red-glow), 0 0 5px var(--neon-red-glow) inset;
  transition: all 0.3s ease;

  animation: cyberFlicker 2.5s infinite;
}
#sendBtn:hover{
    cursor: pointer;
    animation: pulsate 3.5s infinite alternate;
}
.username{
  font-size: 14px;
  width: 200px;
  padding: 10px;
}
.glitch {
  animation: glitch 0.4s linear 3;
  border-color: var(--neon-red);
  color: var(--neon-red-glow);
  outline: none;
  box-shadow: 0 0 10px var(--neon-red);
}

@keyframes glitch {
  0% { transform: translate(0); }
  20% { transform: translate(-2px, 2px); }
  40% { transform: translate(-2px, -2px); }
  60% { transform: translate(2px, 2px); }
  80% { transform: translate(2px, -2px); }
  100% { transform: translate(0); }
}

@keyframes cyberFlicker {
  0%, 100% { filter: brightness(1); }
  47% { filter: brightness(.9); }
  49% { filter: brightness(.6); }
  50% { filter: brightness(1.1); }
  52% { filter: brightness(.85); }
  55% { filter: brightness(1); }
}

@keyframes pulsate {
  100% {
    text-shadow:
      0 0 2px var(--neon-red),
      0 0 6px var(--neon-red-glow),
      0 0 15px var(--neon-red-glow);

    box-shadow:
      0 0 5px var(--neon-red),
      0 0 15px var(--neon-red),
      0 0 30px var(--neon-red-glow);

    border-color: var(--neon-red);
  }

  0% {
    text-shadow:
      0 0 4px var(--neon-red-glow),
      0 0 20px var(--neon-red),
      0 0 40px var(--neon-red);

    box-shadow:
      0 0 10px var(--neon-red),
      0 0 30px var(--neon-red),
      0 0 60px var(--neon-red-glow);

    border-color: var(--neon-red);
  }
}

@keyframes blink {
  from { opacity: 0.3; }
  to   { opacity: 1; }
}